Bug 6076 - acqui pdf error when marcxml wrong
Summary: acqui pdf error when marcxml wrong
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-05 21:08 UTC by Paul Poulain
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.70 KB, patch)
2011-04-05 21:13 UTC, Paul Poulain
Details | Diff | Splinter Review
Proposed patch (1.66 KB, patch)
2011-07-08 09:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-04-05 21:08:02 UTC
when marcxml is wrong the PDF is not generated. There is a Perl error because the biblio can't be retrieved.
This can be workarounded with a eval when decoding the XML
Comment 1 Paul Poulain 2011-04-05 21:13:06 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-04-06 09:01:31 UTC
How can this be tested?
Comment 3 Jonathan Druart 2011-07-08 09:19:26 UTC
Created attachment 4593 [details] [review]
Proposed patch

Previous patch does not apply (fatal: sha1 information is lacking or useless (acqui/basketgroup.pl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.).

This new patch is the same one but it apply.

For test : edit marcxml directly in your database (ex. Delete </record>) and create a basketgroup with this notice.

Before apply : Error 500
After : pdf is generated
Comment 4 Christophe Croullebois 2011-08-05 10:00:48 UTC
I have tested as said in comment 3, ok.
Comment 5 Ian Walls 2011-10-06 12:27:05 UTC
Code is straightforward change; separates the eval from the MARC::Record operations, allowing for failures to occur more gracefully.  Marking as Passed QA
Comment 6 Chris Cormack 2011-10-06 21:29:52 UTC
Pushed please test
Comment 7 Jared Camins-Esakov 2012-12-31 00:05:00 UTC
There have been no further reports of problems so I am marking this bug resolved.